Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.rmi.server
Class ObjID

    java.lang.Object
      |
      +--weblogic.rmi.server.ObjID

public final class ObjID
extends java.lang.Object
implements java.io.Serializable

This class is provided strictly for compatibility with java.rmi.*

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static int` | `DGC_ID`
`static int` | `REGISTRY_ID`

Constructor Summary
`ObjID()`
`ObjID(int i)`

Method Summary
`boolean` | `equals(java.lang.Object object)`
`int` | `hashCode()`
`static ObjID` | `read(java.io.ObjectInput objectInput)`
`java.lang.String` | `toString()`
`void` | `write(java.io.ObjectOutput objectOutput)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### REGISTRY_ID

    public static final int REGISTRY_ID

### DGC_ID

    public static final int DGC_ID

Constructor Detail

### ObjID

    public ObjID()

### ObjID

    public ObjID(int i)

Method Detail

### write

    public void write(java.io.ObjectOutput objectOutput)
               throws java.io.IOException

### read

    public static ObjID read(java.io.ObjectInput objectInput)
                      throws java.io.IOException

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD